Page 1 of 7 123 ... LastLast
Results 1 to 10 of 64

Thread: Skype 4 - anyone got it to work?

  1. #1

    Default Skype 4 - anyone got it to work?

    Skype has released a new version of Skype for linux, so it seems timely to start the obligatory "how to get Skype to work" thread. The rpm says it's for 12.1, and I took a shot at installing it on 11.4 without success. It says that it needs libstdc++.so.6 from GLIBCXX_4.5.3. I've got 4.5.1 installed, and (perhaps I am wrong) I'm thinking that I need to upgrade gcc45 to get that dependency resolved?

    Further, doesn't 12.1 *also* have 4.5.1 (I'm guessing, based on what I've found in my rpm search), in which case I am (just) curious as to whether this version of Skype installs on 12.1, which it says it is built for.

  2. #2
    Join Date
    Jun 2008
    Location
    Europe
    Posts
    405

    Default Re: Skype 4 - anyone got it to work?

    Same here.
    Tried to install, but terminal told me the same insult :
    Code:
    [--root@mabecane 22:59:28 /path/to/11.4] rpm -i skype-4.0.0.7-suse.i586.rpm 
    erreur: Dépendances requises:
            libstdc++.so.6(GLIBCXX_3.4.15) est nécessaire pour skype-4.0.0.7-suse121.i586
    I installed every libstdc++ available on my repos... I even uninstalled skype 2 and forced the skype 4 to install with rpm --force . But :
    Code:
    [--christophe@mabecane 22:59:01 ~] skype
    skype: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by skype)

  3. #3

    Default Re: Skype 4 - anyone got it to work?

    Doesn't help for you, but Skype 4 is running smoothly on openSUSE 12.2 beta over here.

  4. #4

    Default Re: Skype 4 - anyone got it to work?

    Quote Originally Posted by eojan View Post
    Doesn't help for you, but Skype 4 is running smoothly on openSUSE 12.2 beta over here.
    And running also in openSUSE 12.1
    People who do not break things first will never learn to create anything

  5. #5
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Skype 4 - anyone got it to work?

    On 2012-06-14 23:26, Christophe deR wrote:

    > I installed every libstdc++ available on my repos...


    Oh my. Don't ever do that, you will destroy your system!

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  6. #6
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Skype 4 - anyone got it to work?

    On 2012-06-14 23:26, Christophe deR wrote:
    > I installed every libstdc++ available on my repos... I even uninstalled
    > skype 2 and forced the skype 4 to install with rpm --force . But :


    The appropriate option is not "--force" but "--nodeps". I will not explain
    why, read the rpm manual instead - I'm feeling naughty :-p

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  7. #7
    Join Date
    Jun 2008
    Location
    Europe
    Posts
    405

    Default Re: Skype 4 - anyone got it to work?

    Did that. System is still runing....
    Which libstdc++ shouldn't i install ?

  8. #8
    Join Date
    Jun 2008
    Location
    Europe
    Posts
    405

    Default Re: Skype 4 - anyone got it to work?

    Actually, i think i used force but it did not work, so i used nodeps.
    Anyway, how can we have this skype working ?

  9. #9

    Lightbulb Re: Skype 4 - anyone got it to work?

    Hi!
    I had same problem.
    I have OpenSUSE 11.4 32-bit.
    I installed Skype with ignoring deps with YaST.
    When I tried to run skype I got same error.
    Then I downloaded libstdc++46 from
    http://download.opensuse.org/reposit...105.1.i586.rpm
    I installed it with YaST. I had to remove libstdc++45 because "Conflicts: libstdc++6 < 4.6.3_20120531-105.1".
    Then I tried to run Skype and ...
    IT WORKS !!! Skype 4 will not run on OpenSUSE 11.4 out-of-box even it is updated accordingly. So, you need libstdc++46 to install and run Skype without problems.

  10. #10
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Skype 4 - anyone got it to work?

    On 2012-06-15 07:56, Christophe deR wrote:
    >
    > Did that. System is still runing....
    > Which libstdc++ shouldn't i install ?


    Leave the original one. Don't touch it.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

Page 1 of 7 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •